package com.huimv.farm.damsubsidy.entity.vo;

import com.huimv.farm.damsubsidy.entity.BaseEntity;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 补贴信息表
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
@Data
public class BillSubsidyBatchDetail extends BaseEntity implements Serializable {


    private Integer id;
    private String address;
    private String country;
    private String companyName;
    private String name;
    private String idCard;
    private Integer number;
    private BigDecimal money;
    private String bank;
    private String bankName;
    private String bankCard;
    private String notes;



}
