package com.huimv.farm.damsubsidy.service;

import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.BillSubsidyBatch;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 补贴批次表 服务类
 * </p>
 *
 * @author author
 * @since 2023-06-19
 */
public interface IBillSubsidyBatchService extends IService<BillSubsidyBatch> {

    Result add(HttpServletRequest httpServletRequest,BillSubsidyBatch billSubsidyBatch);

    Result list(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listById(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    void printHua(Map<String, String> paramsMap);

    void printCount(Map<String, String> paramsMap);

    void printDetail(Map<String, String> paramsMap);
}
